<?php

namespace Drupal\Proc\Form;

use Drupal\Core\Form\FormBase;
use Drupal\proc\Entity\Proc;

/**
 * Base class for Proc Cryptographic Operation forms.
 */
abstract class ProcOpFormBase extends FormBase {

  /**
   * Create or update the Proc entity.
   *
   * @param bool|int|null $default_proc
   *   The default proc ID.
   *
   * @return \Drupal\proc\Entity\Proc
   *   The Proc entity.
   *
   * @SuppressWarnings(PHPMD.StaticAccess)
   */
  public function createOrUpdateProcEntity(bool|int|null $default_proc): Proc {
    $proc = Proc::create();
    if ($default_proc && is_numeric($default_proc)) {
      $proc_entity = Proc::load($default_proc);
      if ($proc_entity && $proc_entity->getOwnerId() == $this->currentUser->id()) {
        $proc = $proc_entity;
      }
    }
    return $proc;
  }

}
